:root {
    --font-family-header: 'Courier New', monospace ;
    --font-family-body: 'arimo', sans-serif;
    --main-color: black;
    --highlight-color: rgb(218, 3, 3);
}

header {
    
    font-family: var(--font-family-header);
}

@media (min-width: 900px) {
    header {
        width: 425px;
        position: fixed;
    }
}


header h1 {
    font-size: 2.9em;
    margin-top: 0;
    margin-bottom: 0;
    width: 100%;
    text-transform: uppercase;
    text-align: center;
    padding: 25px;
}

@media (max-width: 400px) {
    header h1 {
        font-size: 2.5em;
    }
}

@media (min-width: 500px) {
    header h1 {
        text-align: left;
    }
}

header ul {
    margin: 0;
    padding: 0;
}

/* Menu trigger */
header button {
    width: 100%;
    padding: 0;
    text-align: left;
    background-color: transparent;
    border: none;
    text-transform: uppercase;
    font-family: var(--font-family-header);
    padding-left: 10px;
    font-size: 21px;
    font-weight: bold;
    color: var(--highlight-color);
}

header button:focus { /* no blue border */
    outline: 0;
}

@media (min-width: 500px) {
    header button  {
        padding-left: 25px;
    }
}

header nav > ul {
    padding-left: 10px;
    border-left: 1px black solid;
    margin-left: 10px;
}

@media (min-width: 900px) {
    header nav > ul  {
        padding-left: 20px;
    }
}

.main-nav {
    width: 135px;
    height: fit-content;

}

@media (min-width: 500px) {
    .main-nav  {
        margin-left: 25px;
        width: 145px;
        height: 100%;
    }
}

@media (min-width: 600px) {
    .main-nav  {
        width: 250px;
    }
}

@media (min-width: 900px) {
    .main-nav  {
        width: 170px;
    }
}



.secondary-nav {
    width: calc(100% - 175px);
    height: fit-content;
   margin-left: 19px;
}

@media (min-width: 500px) {
    .secondary-nav {
        width: calc(100% - 205px);
        margin-left: 10px;
        
    }
}

@media (min-width: 500px) {
    .secondary-nav {
        width: 250px;
        
    }
}

@media (min-width: 900px) {
    .secondary-nav {
        padding-right: 5px;
        height: fit-content;
        /* min-height: 125px; */
        max-height: calc(100vh - 2.9em - 97px - 25px);
        overflow-y: auto;
        width: 245px;
    }
}




header nav {
    display: flex;
    flex-wrap: wrap;
    margin-top: .8em;
}


/* Toggled menu */
header #navigation {
    display: none;
}

@media (min-width: 900px) {
    header #navigation {
        width: 450px;
    }
}

header #navigation.toggled-on {
    display: flex;
    flex-wrap: wrap;
}

header #menuButton.toggled-on {
    color: var(--highlight-color);
    text-decoration: underline;
}


/* Desktop no toggle */

@media (min-width: 800px) {
    header button {
        display: none;
    }
    
    header #navigation {
        display: flex;
    }
}

header li {
    list-style: none;
    margin: 0;
    font-size: 17px;
    margin: 10px 0;
    font-weight: bold;
}

@media (min-width: 800px) {
    header li {
        font-size: 15px;
    }
}

header .main-nav li {
    text-transform: uppercase;
    letter-spacing: 1px;
}

header .main-nav li.menu-item-mobile {
    cursor: pointer;
    margin: 0;
    padding-top: 0;
}

header .main-nav li:first-child, header .secondary-nav li:first-child {
    margin-top: 0;
}

header .main-nav li:last-child, header .secondary-nav li:last-child {
    margin-bottom: 0.7em;
    padding-bottom: 0;
}

header a, .menu-item-mobile {
    text-decoration: none;
    padding: 10px 0;
    color: var(--highlight-color);
}

header a:focus, header a:hover, header a:active, .menu-item-mobile:focus, .menu-item-mobile:hover, .menu-item-mobile:active {
    text-decoration: underline;
}

header a.active, header .menu-item-mobile.active {
    font-weight: bolder;
    color: black;
}

header a.active:focus, header a.active:hover, header a.active:active,
.menu-item-mobile:focus, .menu-item-mobile:active, .menu-item-mobile:hover {
    text-decoration: underline;
    
}


header .partnersCat {
    display: block;
    text-transform: lowercase;
    margin-bottom: 10px;
    font-weight: normal;
    font-size: 15px;
}

header .secondary-nav {
    display: none;
}

header noscript .secondary-nav {
    display: block;
}

header .secondary-nav.show-secondary-nav {
    display: block;
}

header .secondary-nav ul {
    margin-bottom: 1.6em;
    margin-left: .7em;
}

header .secondary-nav > li:last-child ul {
    margin-bottom: 0;
}


.noscript-menu > nav {
    margin-left: 15px;
}

.noscript-menu > nav > ul:first-child {
    text-transform: lowercase;
}

@media (min-width: 800px) {
    .noscript-menu {
        display: none;
    }
}


header .contact {
    padding-left: 10px;
    border-left: 1px black solid;
    margin-left: 10px;
}

@media (min-width: 500px) {
    .contact {
        width: calc(100% - 205px);
    }
}

@media (min-width: 900px) {
    .contact {
        width: 230px;
        display: block;
    }
}

.contact-title {
    font-size: 1em;
}

header .contact p {
    font-size: 80%;
   
}

header .contact p:first-child {
    margin-top: 0;
}

header .contact p:last-child {
    margin-bottom: 0;
}

header .contact a {
    padding: 0;
}

.contact-mob {
    margin-top: 3em;
    margin-bottom: 2em;
}

